﻿using System.Collections.Generic;
using Ozeki.VoIP;
using Ozeki.Media;

namespace CallQueueStrategies.CallQueue
{
    class CallHistory
    {
        static Dictionary<string, List<ISession>> callHistoryStatistics = new Dictionary<string, List<ISession>>();
 
        public static void Init(ICallManager callManager)
        {
            callManager.SessionClosed += callManager_SessionClosed;
        }

        public static List<ISession> GetCallHistory(string userId)
        {
            if(!callHistoryStatistics.ContainsKey(userId))
                return new List<ISession>();

            return callHistoryStatistics[userId];
        }

        static void callManager_SessionClosed(object sender, VoIPEventArgs<ISession> e)
        {
            var callee = e.Item.CalleeInfo.Owner.ExtensionID;

            UpdateCallStatistics(callee, e.Item);

        }

        private static void UpdateCallStatistics(string party, ISession session)
        {
            if (!callHistoryStatistics.ContainsKey(party))
                callHistoryStatistics[party] = new List<ISession>();

            callHistoryStatistics[party].Add(session);
        }
    }
}
